(function (Drupal, debounce) {
  Drupal.behaviors.mapbox_block = {
    attach: function (context, settings) {
      let mapbox = context.querySelectorAll('.c-mapbox');
      if (mapbox) {
        function mapboxLayoutFix() {
          window.dispatchEvent(new Event('resize'));
        }
        let viewportChange = debounce(mapboxLayoutFix, 10);
        setTimeout(mapboxLayoutFix, 1000);
        window.addEventListener('scroll', viewportChange);
      }
    }
  };
}(Drupal, Drupal.debounce));
