<?php

/**
 * @file
 * Contains mapbox_block.preprocess.inc.
 */

/**
 * Prepares variables for mapbox template.
 *
 * Default template: mapbox.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_mapbox(array &$variables) {
  if (empty($variables['access_token'])) {
    $config = \Drupal::config('mapbox_block.settings');
    if ($config && !empty($config->get('mapbox_token_name'))) {
      /** @var \Drupal\key\KeyRepository $keyRepository */
      $keyRepository = \Drupal::service('key.repository');
      $variables['access_token'] = $keyRepository->getKey($config->get('mapbox_token_name'))->getKeyValue();
    }
  }

  if (!empty($variables['map_style'])) {
    $variables['map_style'] = 'styles/mapbox/' . $variables['map_style'];
  }

  if (!empty($variables['map_custom_style'])) {
    $variables['map_style'] = $variables['map_custom_style'];
  }

  if (empty($variables['language'])) {
    $variables['language'] = \Drupal::languageManager()
      ->getCurrentLanguage()
      ->getId();
  }
}
